<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/********************************************************/
/* NSN Banner Ads                                       */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright © 2000-2005 by NukeScripts Network         */
/********************************************************/

global $admin_file;
if(!isset($admin_file)) { $admin_file = "admin"; }
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
    redirect_url("../../".$admin_file.".php");
    die();
}
$modname = "Banner_Ads";
get_lang($modname);
switch ($op) {
  case 'BAClient':
  case 'BAClientAdd':
  case 'BAClientAddSave':
  case 'BAClientDelete':
  case 'BAClientDeleteConf':
  case 'BAClientEdit':
  case 'BAClientEditSave':
  case 'BAClientView':
  case 'BAImage':
  case 'BAImageAdd':
  case 'BAImageAddSave':
  case 'BAImageDelete':
  case 'BAImageDeleteConf':
  case 'BAImageEdit':
  case 'BAImageEditSave':
  case 'BAImageMail':
  case 'BAImageView':
  case 'BAMain':
  case 'BAMainSave':
  include("modules/$modname/admin/index.php");
  break;
}